<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [isRunning](./bitburner.ns.isrunning.md)

## NS.isRunning() method

Check if a script is running.

**Signature:**

```typescript
isRunning(script?: FilenameOrPID, host?: string, ...args: ScriptArg[]): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

script


</td><td>

[FilenameOrPID](./bitburner.filenameorpid.md)


</td><td>

_(Optional)_ Filename (case-sensitive) or PID of script to check. Optional, default to the current script's pid.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of target server. Optional, defaults to the server the calling script is running on.


</td></tr>
<tr><td>

args


</td><td>

[ScriptArg](./bitburner.scriptarg.md)<!-- -->\[\]


</td><td>

Arguments to specify/identify the script. Optional, when looking for scripts run without arguments.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the specified script is running on the target server, and false otherwise.

## Remarks

RAM cost: 0.1 GB

Returns a boolean indicating whether the specified script is running on the target server. If you use a PID instead of a filename, the host and args parameters are unnecessary. If host is omitted while filename is used as the first parameter, host defaults to the server the calling script is running on. Remember that a script is semi-uniquely identified by both its name and its arguments. (You can run multiple copies of scripts with the same arguments, but for the purposes of functions like this that check based on filename, the filename plus arguments forms the key.)

## Example


```js
//The function call will return true if there is a script named foo.js with no arguments running on the foodnstuff server, and false otherwise:
ns.isRunning("foo.js", "foodnstuff");

//The function call will return true if there is a script named foo.js with no arguments running on the current server, and false otherwise:
ns.isRunning("foo.js", ns.getHostname());

//The function call will return true if there is a script named foo.js running with the arguments 1, 5, and “test” (in that order) on the joesguns server, and false otherwise:
ns.isRunning("foo.js", "joesguns", 1, 5, "test");
```

